httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Joshua Slive" <jos...@slive.ca>
Subject Re: [users@httpd] Porting of plugin from apache 2.0.x to 2.2
Date Wed, 29 Mar 2006 14:15:08 GMT
On 3/29/06, Mahesh Rathi <mah_rathi@yahoo.com> wrote:
> Hello,
>
> I have successfully ported a C plugin from Apache 1.3 to Apache
> 2.0.52. But, as per available literature on apache and other
> various sites, plugin from 2.0.x does not work on 2.2 .. Can ne1
> tell me if this is vast difference (as from 1.3 to 2.0.x).

The 2.2 API is, in general, source-compatible with the 2.0 API.  So
you should only need to recompile the module to work with 2.2.  (This
is not, however, 100%.  You may find that some small changes need to
be made, especially if you are using deprecated parts of the API.)

Joshua.

---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message